MCP Gateway
ApiBundles

Assign server to bundle

Add all tools from a server to a bundle. Already-present tools are skipped.

POST
/api/v1/bundles/{bundle_id}/servers/{server_id}

Path Parameters

bundle_id*string
Formatuuid
server_id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/bundles/497f6eca-6276-4993-bfeb-53cbbbba6f08/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "tools_added": 0,
  "tools_existing": 0
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}